# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section	free

# To make the tarball:
#  export CVSROOT=:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/jorm
#  cvs login
#  cvs export -r JORM_2_8 jorm
#  find jorm -name '*.?ar' | xargs rm
#  tar czf jorm-2.7-src.tar.gz jorm

Name:		jorm
Summary:	Java(tm) Object Repository Mapping
Version:	2.8
Release:	1jpp
Epoch:		0
URL:		http://jorm.objectweb.org/
License:	LGPL
Group:		Development/Libraries/Java
Distribution:   JPackage
Vendor:         JPackage Project
Source:		%{name}-%{version}-src.tar.gz
BuildRequires:	jpackage-utils, ant, objectweb-anttask
BuildRequires:	asm
BuildRequires:	jakarta-commons-collections
BuildRequires:	j2ee-connector
BuildRequires:	jorm-rdb-adapter >= 3.1
BuildRequires:	medor >= 1.6
BuildRequires:	medor-expression >= 1.6
BuildRequires:	monolog
BuildRequires:	perseus-cache
BuildRequires:	perseus-fos
BuildRequires:	perseus-persistence
BuildRequires:	velocity
Requires:		asm
Requires:		jakarta-commons-collections
Requires:		j2ee-connector
Requires:		jorm-rdb-adapter >= 3.1
Requires:		medor >= 1.6
Requires:		medor-expression >= 1.6
Requires:		monolog
Requires:		perseus-cache
Requires:		perseus-fos
Requires:		perseus-persistence
Requires:		velocity
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch

%description
JORM (Java Object Repository Mapping) is an adaptable persistence
service. It can be used to offer various personalities, such as one
compliant with the CMP EJB specification (TM), another with the OMG
PSS specification or another with the JDO (Java Data Objects)
specification (TM).  JORM provides object persistency through
different secondary storage supports, such as files, relational
databases or object-oriented databases.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n jorm
build-jar-repository externals \
    asm/asm \
    asm/asm-attrs \
    jakarta-commons-collections \
    j2ee-connector \
    jorm/ow_jorm_rdb_adapter \
    medor/ow_medor \
    medor/ow_medor_clone \
    medor/ow_medor_exp \
    monolog/ow_monolog \
    perseus/ow_perseus_cache \
    perseus/ow_perseus_fos \
    perseus/ow_perseus_persistence \
    velocity

%build
unset CLASSPATH
export OPT_JAR_LIST="objectweb-anttask"
ant jar jdoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
for jar in output/dist/lib/*.jar; do
    base=`basename $jar .jar`
    install -m 644 $jar $RPM_BUILD_ROOT%{_javadir}/%{name}/$base-%{version}.jar
    ln -s $base-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/$base.jar
done

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/dist/doc/jdoc/jorm_user \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Thu Mar 08 2006 Fernando Nasser <fnasser@redhat.com> 0:2.8-1jpp
- First JPP 1.7 build

* Wed Dec 14 2005 Fernando Nasser <fnasser@redhat.com> 0:2.8-1jpp_1rh
- Upgrade to 2.8

* Wed Oct 19 2005 Fernando Nasser <fnasser@redhat.com> 0:2.7-1jpp_1rh
- Upgrade to 2.7

* Wed Jul 27 2005 Deepak Bhole <dbhole@redhat.com> 0:2.6.4-1jpp_1rh
- Updated version and dependencies.

* Thu Jul 21 2005 Deepak Bhole <dbhole@redhat.com> 0:2.5.2-1jpp_2rh
- Rebuild from standalone JORM 2.5.2 source (no MEDOR source).

* Thu Jul 21 2005 Deepak Bhole <dbhole@redhat.com> 0:2.5.2-1jpp_1rh
- First Red Hat build.
- 2.5.2 bootstrap build (with MEDOR 1.5.3).

* Thu Jun 30 2005 Gary Benson <gbenson@redhat.com> 0:2.4.3-1jpp_2fc
- Build into Fedora.

* Thu Jun 30 2005 Gary Benson <gbenson@redhat.com> 0:2.4.3-1jpp_1fc
- Bootstrap into Fedora.

* Wed Jun 29 2005 Gary Benson <gbenson@redhat.com> 0:2.4.3-1jpp
- Initial build.
